Bug 223628 - security/openssh-portable: add blacklistd support
Summary: security/openssh-portable: add blacklistd support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-12 11:59 UTC by Bernard Spil
Modified: 2020-11-17 01:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bdrewery)


Attachments
svn diff for security/openssh-portable (14.92 KB, patch)
2017-11-12 11:59 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-11-12 11:59:44 UTC
Created attachment 187938 [details]
svn diff for security/openssh-portable

```
security/openssh-portable: Add blacklistd support

 * Backport blacklistd support from base
 * Include OPTION in BROKEN reason
 * Remove BROKEN with LibreSSL (see #223000)

PR:
```

There's currently 2 patches patching servconf.c and 3 extra-patches patching servconf.c. I added the blacklistd option a bit higher to prevent conflicts in patches.
Comment 1 Ed Maste freebsd_committer 2019-06-09 10:48:24 UTC
Ping?
Comment 2 Ed Maste freebsd_committer 2019-10-24 19:28:46 UTC
Ping?
Comment 3 Bernard Spil freebsd_committer 2019-11-01 21:51:38 UTC
That a ping for me? Been pretty dormant lately.

Guess that this will have to be merged with the current version of openssh-portable. That's not a small task.

@emaste any particular interest in this?
Comment 4 commit-hook freebsd_committer 2020-11-17 01:45:30 UTC
A commit references this bug:

Author: bdrewery
Date: Tue Nov 17 01:45:12 UTC 2020
New revision: 555531
URL: https://svnweb.freebsd.org/changeset/ports/555531

Log:
  - Add blacklistd(8) support.
    This differs slightly from base as it uses the current NetBSD
    hook points.
    This is off-by-default as it needs testing and has issues that may cause
    crashes.  One such issue is the use of private bl_create() symbol from
    libblacklist.  It is also unclear if the hook points are sufficient
    or proper after the libssh refactoring in 8.x.

  PR:		223628 (patch rewritten as it no longer applied)

Changes:
  head/security/openssh-portable/Makefile
  head/security/openssh-portable/files/extra-patch-blacklistd